Iplists 2 endpoints

PATCH /iplists/{id}

Update a specific IP list.

Sample Request

curl -X PATCH https://console.jumpcloud.com/api/v2/iplists/{id} \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{"name": "New IP List Name"}'
operationId: iplists_patch

Parameters

Name In Required Type Description
id path required string
x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema IPListRequest
Property Type Required
ips array optional
name string optional
description string optional

Responses

200

OK

400
401
403
404
409
500
PATCH /iplists/{id}
PUT /iplists/{id}

Replace a specific IP list.

Sample Request

curl -X PUT https://console.jumpcloud.com/api/v2/iplists/{id} \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "name": "Sample IP List",
    "ips": [
      "192.168.10.10"
    ]
  }'
operationId: iplists_put

Parameters

Name In Required Type Description
id path required string
x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema IPListRequest
Property Type Required
ips array optional
name string optional
description string optional

Responses

200

OK

400
401
403
404
409
500
PUT /iplists/{id}

Ldapservers 3 endpoints

GET /ldapservers

This endpoint returns the object IDs of your LDAP servers.

Sample Request

```
curl -X GET https://console.jumpcloud.com/api/v2/ldapservers/ \
-H ‘Accept: application/json’ \
-H ‘Content-Type: application/json’ \
-H ‘x-api-key: {API_KEY}’

operationId: ldapservers_list

Parameters

Name In Required Type Description
fields query optional array

The comma separated fields included in the returned records.
If omitted, the default list of fields will be returned.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200
GET /ldapservers
GET /ldapservers/{id}

This endpoint returns a specific LDAP server.

Sample Request
 curl -X GET https://console.jumpcloud.com/api/v2/ldapservers/{LDAP_ID} \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: ldapservers_get

Parameters

Name In Required Type Description
id path required string

Unique identifier of the LDAP server.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200
GET /ldapservers/{id}
PATCH /ldapservers/{id}

This endpoint allows updating some attributes of an LDAP server.

Sample Request

curl -X PATCH https://console.jumpcloud.com/api/v2/ldapservers/{LDAP_ID} \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "userLockoutAction": "remove",
    "userPasswordExpirationAction": "disable"
  }'
operationId: ldapservers_patch

Parameters

Name In Required Type Description
id path required string

Unique identifier of the LDAP server.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema LdapserversPatchRequest
Property Type Required
id string optional
userLockoutAction string optional
userPasswordExpirationAction string optional

Responses

200
400
PATCH /ldapservers/{id}

Logos 1 endpoints

GET /logos/{id}

Return the logo image associated with the specified id

operationId: logos_get

Parameters

Name In Required Type Description
id path required string

Responses

200

OK

404
500
GET /logos/{id}

Microsoftmdm 1 endpoints

POST /microsoft-mdm/configuration-files

This endpoint allows you to download the config file.

operationId: Enrollments_DownloadConfigFiles

Request Body

required
application/json
schema jumpcloud.microsoft_mdm.DownloadConfigFilesRequest

Responses

200

OK

POST /microsoft-mdm/configuration-files

Office365 10 endpoints

GET /office365s/{office365_id}

This endpoint returns a specific Office 365 instance.

#####

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/office365s/{OFFICE365_ID} \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'

operationId: office365s_get

Parameters

Name In Required Type Description
office365_id path required string

ObjectID of the Office 365 instance.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200
GET /office365s/{office365_id}
PATCH /office365s/{office365_id}

This endpoint allows updating some attributes of an Office 365 instance.

#####

Sample Request

curl -X PATCH https://console.jumpcloud.com/api/v2/office365s/{OFFICE365_ID} \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "userLockoutAction": "maintain",
    "userPasswordExpirationAction": "suspend",
  }'

Sample Request, set a default domain

curl -X PATCH https://console.jumpcloud.com/api/v2/office365s/{OFFICE365_ID} \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "defaultDomain": {
        "id": "{domainObjectID}"
      }
  }'

Sample Request, unset the default domain

curl -X PATCH https://console.jumpcloud.com/api/v2/office365s/{OFFICE365_ID} \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "defaultDomain": {}
  }'
operationId: office365s_patch

Parameters

Name In Required Type Description
office365_id path required string

ObjectID of the Office 365 instance.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema office365
Property Type Required
id string optional
name string optional
defaultDomain object optional
id string optional
domain string optional
groupsEnabled boolean optional
userLockoutAction string optional
userPasswordExpirationAction string optional

Responses

200
PATCH /office365s/{office365_id}
GET /office365s/{office365_id}/domains

List the domains configured for a specific M365/Azure AD directory sync integration instance.

Sample Request

curl -X POST https://console.jumpcloud.com/api/v2/office365s/{OFFICE365_ID}/domains \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: Domains_List

Parameters

Name In Required Type Description
office365_id path required string

Id for the specific M365/Azure AD directory sync integration instance.

limit query optional string

The number of records to return at once. Limited to 100.

skip query optional string

The offset into the records to return.

Responses

default

An unexpected error response.

200

OK

401
403
404
500
GET /office365s/{office365_id}/domains
POST /office365s/{office365_id}/domains

Add a domain to a specific M365/Azure AD directory sync integration instance. The domain must be a verified domain in M365/Azure AD.

Sample Request

curl -X POST https://console.jumpcloud.com/api/v2/office365s/{OFFICE365_ID}/domains \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{"domain": "{domain name}"}'
operationId: Domains_Insert

Parameters

Name In Required Type Description
office365_id path required string

Id for the specific M365/Azure AD directory sync integration instance.

Request Body

required
application/json
schema DomainsInsertRequest
Property Type Required
domain string optional

Responses

default

An unexpected error response.

200

A successful response.

201

Created

401
403
404
409
500
POST /office365s/{office365_id}/domains
DELETE /office365s/{office365_id}/domains/{domain_id}

Delete a domain from a specific M365/Azure AD directory sync integration instance.

Sample Request

curl -X POST https://console.jumpcloud.com/api/v2/office365s/{OFFICE365_ID}/domains/{DOMAIN_ID} \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: Domains_Delete

Parameters

Name In Required Type Description
office365_id path required string

Id for the specific M365/Azure AD directory sync integration instance.

domain_id path required string

ObjectID of the domain to be deleted.

Responses

default

An unexpected error response.

200

OK

401
403
404
500
DELETE /office365s/{office365_id}/domains/{domain_id}
GET /office365s/{office365_id}/import/users

Lists Office 365 users available for import.

operationId: office365s_listImportUsers

Parameters

Name In Required Type Description
office365_id path required string
ConsistencyLevel header optional string

Defines the consistency header for O365 requests. See https://docs.microsoft.com/en-us/graph/api/user-list?view=graph-rest-1.0&tabs=http#request-headers

top query optional integer

Office 365 API maximum number of results per page. See https://docs.microsoft.com/en-us/graph/paging.

skipToken query optional string

Office 365 API token used to access the next page of results. See https://docs.microsoft.com/en-us/graph/paging.

filter query optional string

Office 365 API filter parameter. See https://docs.microsoft.com/en-us/graph/api/user-list?view=graph-rest-1.0&tabs=http#optional-query-parameters.

search query optional string

Office 365 API search parameter. See https://docs.microsoft.com/en-us/graph/api/user-list?view=graph-rest-1.0&tabs=http#optional-query-parameters.

orderby query optional string

Office 365 API orderby parameter. See https://docs.microsoft.com/en-us/graph/api/user-list?view=graph-rest-1.0&tabs=http#optional-query-parameters.

count query optional boolean

Office 365 API count parameter. See https://docs.microsoft.com/en-us/graph/api/user-list?view=graph-rest-1.0&tabs=http#optional-query-parameters.

Responses

200

OK

GET /office365s/{office365_id}/import/users
GET /office365s/{office365_id}/translationrules

This endpoint returns all translation rules for a specific Office 365 instance. These rules specify how JumpCloud attributes translate to Microsoft Graph attributes.

Sample Request
 curl -X GET  https://console.jumpcloud.com/api/v2/office365s/{office365_id}/translationrules \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: translationRules_office365List

Parameters

Name In Required Type Description
office365_id path required string
fields query optional array

The comma separated fields included in the returned records.
If omitted, the default list of fields will be returned.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

Responses

200
GET /office365s/{office365_id}/translationrules
POST /office365s/{office365_id}/translationrules

This endpoint allows you to create a translation rule for a specific Office 365 instance. These rules specify how JumpCloud attributes translate to Microsoft Graph attributes.

Sample Request
curl -X POST https://console.jumpcloud.com/api/v2/office365s/{office365_id}/translationrules \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    {Translation Rule Parameters}
  }'
operationId: translationRules_office365Post

Parameters

Name In Required Type Description
office365_id path required string

Request Body

application/json
schema Office365TranslationRuleRequest
Property Type Required
builtIn string optional
direction string optional

Responses

201
400
POST /office365s/{office365_id}/translationrules
DELETE /office365s/{office365_id}/translationrules/{id}

This endpoint allows you to delete a translation rule for a specific Office 365 instance. These rules specify how JumpCloud attributes translate to Microsoft Graph attributes.

Sample Request

curl -X DELETE https://console.jumpcloud.com/api/v2/office365s/{office365_id}/translationrules/{id} \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: translationRules_office365Delete

Parameters

Name In Required Type Description
office365_id path required string
id path required string

Responses

204
DELETE /office365s/{office365_id}/translationrules/{id}
GET /office365s/{office365_id}/translationrules/{id}

This endpoint returns a specific translation rule for a specific Office 365 instance. These rules specify how JumpCloud attributes translate to Microsoft Graph attributes.

Sample Request
  curl -X GET https://console.jumpcloud.com/api/v2/office365s/{office365_id}/translationrules/{id} \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: translationRules_office365Get

Parameters

Name In Required Type Description
office365_id path required string
id path required string

Responses

200
GET /office365s/{office365_id}/translationrules/{id}

Organizations 1 endpoints

GET /organizations/cases

This endpoint returns the cases (Support/Feature requests) for the organization

operationId: organizations_orgListCases

Parameters

Name In Required Type Description
skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

limit query optional integer

The number of records to return at once. Limited to 100.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /organizations/cases

Passwordmanager 2 endpoints

GET /passwordmanager/devices

List Devices

operationId: DeviceService_ListDevices

Parameters

Name In Required Type Description
limit query optional integer
skip query optional integer
sort query optional string
fields query optional array
filter query optional array

Responses

default

An unexpected error response.

200

A successful response.

GET /passwordmanager/devices
GET /passwordmanager/devices/{UUID}

Get Device

operationId: DeviceService_GetDevice

Parameters

Name In Required Type Description
UUID path required string

Responses

default

An unexpected error response.

200

A successful response.

GET /passwordmanager/devices/{UUID}

Policies 9 endpoints

GET /policies

This endpoint returns all policies.

Sample Request
 curl -X GET  https://console.jumpcloud.com/api/v2/policies \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: policies_list

Parameters

Name In Required Type Description
fields query optional array

The comma separated fields included in the returned records.
If omitted, the default list of fields will be returned.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

500

Unexpected error.

GET /policies
POST /policies

This endpoint allows you to create a policy. Given the amount of configurable parameters required to create a Policy, we suggest you use the JumpCloud Admin Console to create new policies.

Sample Request
curl -X POST https://console.jumpcloud.com/api/v2/policies \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    {Policy_Parameters}
  }'
operationId: policies_post

Parameters

Name In Required Type Description
x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema PolicyCreateRequest
Property Type Required
name string required
notes string optional
values array optional
value string optional
sensitive boolean optional
configFieldID string optional
template object required
id string required

Responses

201

Created

POST /policies
DELETE /policies/{id}

This endpoint allows you to delete a policy.

Sample Request

curl -X DELETE https://console.jumpcloud.com/api/v2/policies/5a837ecd232e110d4291e6b9 \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: policies_delete

Parameters

Name In Required Type Description
id path required string

ObjectID of the Policy object.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

204

No Content

DELETE /policies/{id}
GET /policies/{id}

This endpoint returns a specific policy.

Sample Request
  curl -X GET https://console.jumpcloud.com/api/v2/policies/{PolicyID} \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: policies_get

Parameters

Name In Required Type Description
id path required string

ObjectID of the Policy object.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

GET /policies/{id}
PUT /policies/{id}

This endpoint allows you to update a policy. Given the amount of configurable parameters required to update a Policy, we suggest you use the JumpCloud Admin Console to create new policies.

Sample Request
curl -X PUT https://console.jumpcloud.com/api/v2/policies/59fced45c9118022172547ff \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    {Policy_Parameters}
  }'
operationId: policies_put

Parameters

Name In Required Type Description
id path required string

ObjectID of the Policy object.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema PolicyUpdateRequest
Property Type Required
name string required
notes string optional
values array optional
value string optional
sensitive boolean optional
configFieldID string optional

Responses

200

OK

PUT /policies/{id}
GET /policies/{policy_id}/policyresults

This endpoint returns all policies results for a specific policy.

Sample Request
 curl -X GET https://console.jumpcloud.com/api/v2/policies/{Policy_ID}/policyresults \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: policyresults_list

Parameters

Name In Required Type Description
policy_id path required string
fields query optional array

The comma separated fields included in the returned records.
If omitted, the default list of fields will be returned.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

Responses

200
GET /policies/{policy_id}/policyresults
GET /policies/{policy_id}/policystatuses

This endpoint returns the latest policy results for a specific policy.

Sample Request
 curl -X GET https://console.jumpcloud.com/api/v2/policies/{Policy_ID}/policystatuses \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: policystatuses_policiesList

Parameters

Name In Required Type Description
policy_id path required string
fields query optional array

The comma separated fields included in the returned records.
If omitted, the default list of fields will be returned.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200
GET /policies/{policy_id}/policystatuses
GET /policyresults

This endpoint returns all policy results for an organization.

Sample Request
 curl -X GET https://console.jumpcloud.com/api/v2/policyresults \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: Policies_listAllPolicyResults

Parameters

Name In Required Type Description
fields query optional array

The comma separated fields included in the returned records.
If omitted, the default list of fields will be returned.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

Responses

200
GET /policyresults
GET /policyresults/{id}

This endpoint will return the policy results for a specific policy.

Sample Request
curl -X GET https://console.jumpcloud.com/api/v2/policyresults/{Policy_ID} \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: policyresults_get

Parameters

Name In Required Type Description
id path required string

ObjectID of the Policy Result.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

GET /policyresults/{id}

Policygroups 5 endpoints

GET /policygroups

This endpoint returns all Policy Groups.

Available filter fields:

  • name
  • disabled
  • type

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/policygroups \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: PolicyGroups_listAll

Parameters

Name In Required Type Description
fields query optional array

The comma separated fields included in the returned records.
If omitted, the default list of fields will be returned.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

default

Unexpected error

200

OK

GET /policygroups
POST /policygroups

This endpoint allows you to create a new Policy Group.

Sample Request

curl -X POST https://console.jumpcloud.com/api/v2/policygroups \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "name": "{Group_Name}"
  }'
operationId: PolicyGroups_createNew

Parameters

Name In Required Type Description
x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema PolicyGroupData
Property Type Required
name string required

Responses

201

Created

POST /policygroups
DELETE /policygroups/{id}

This endpoint allows you to delete a Policy Group.

Sample Request

curl -X DELETE https://console.jumpcloud.com/api/v2/policygroups/{GroupID} \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'

operationId: PolicyGroups_deleteGroup

Parameters

Name In Required Type Description
id path required string

ObjectID of the Policy Group.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

204

No Content

DELETE /policygroups/{id}
GET /policygroups/{id}

This endpoint returns the details of a Policy Group.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/policygroups/{GroupID} \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: PolicyGroups_getDetails

Parameters

Name In Required Type Description
id path required string

ObjectID of the Policy Group.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

GET /policygroups/{id}
PUT /policygroups/{id}

This endpoint allows you to do a full update of the Policy Group.

Sample Request

curl -X PUT https://console.jumpcloud.com/api/v2/policygroups/{Group_ID} \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "name": "group_update"
  }'
operationId: PolicyGroups_updatePolicyGroup

Parameters

Name In Required Type Description
id path required string

ObjectID of the Policy Group.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema PolicyGroupData
Property Type Required
name string required

Responses

200

OK

PUT /policygroups/{id}

Policytemplates 2 endpoints

GET /policytemplates

This endpoint returns all policy templates.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/policytemplates \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: policytemplates_list

Parameters

Name In Required Type Description
fields query optional array

The comma separated fields included in the returned records.
If omitted, the default list of fields will be returned.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

500

Unexpected error.

GET /policytemplates
GET /policytemplates/{id}

This endpoint returns a specific policy template.

Sample Request

 curl -X GET https://console.jumpcloud.com/api/v2/policytemplates/{Policy_Template_ID}\
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: policytemplates_get

Parameters

Name In Required Type Description
id path required string

ObjectID of the Policy Template.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

GET /policytemplates/{id}

Providers 14 endpoints

GET /cases/metadata

This endpoint returns the metadata for cases

operationId: organizations_casesMetadata

Responses

200

OK

GET /cases/metadata
DELETE /integrations/autotask/{UUID}

Removes a Autotask integration.

operationId: autotask_deleteConfiguration

Parameters

Name In Required Type Description
UUID path required string

Responses

204

No Content

400
401
403
404
500
DELETE /integrations/autotask/{UUID}
GET /integrations/autotask/{UUID}

Retrieves configuration for given Autotask integration id. You must be associated to the provider the integration is tied to in order to use this api.

operationId: autotask_getConfiguration

Parameters

Name In Required Type Description
UUID path required string

Responses

200

OK

400
401
403
404
500
GET /integrations/autotask/{UUID}
PATCH /integrations/autotask/{UUID}

Update the Autotask integration configuration. A 422 Unprocessable Entity response means the server failed to validate with Autotask.

operationId: autotask_updateConfiguration

Parameters

Name In Required Type Description
UUID path required string

Request Body

application/json
schema AutotaskIntegrationPatchReq
Property Type Required
secret string optional
username string optional

Responses

200

OK

400
401
403
404
422

Unprocessable Entity. The server failed to validate credentials with Autotask.

500
PATCH /integrations/autotask/{UUID}
GET /integrations/autotask/{UUID}/companies

Retrieves a list of Autotask companies for the given Autotask id. You must be associated to the same provider as the Autotask integration to use this endpoint.

operationId: autotask_retrieveCompanies

Parameters

Name In Required Type Description
UUID path required string
fields query optional array

The comma separated fields included in the returned records.
If omitted, the default list of fields will be returned.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

Responses

200

OK

400
401
403
404
500
GET /integrations/autotask/{UUID}/companies
GET /integrations/autotask/{UUID}/companytypes

Retrieves a list of user defined company types from Autotask for the given Autotask id.

operationId: autotask_retrieveCompanyTypes

Parameters

Name In Required Type Description
UUID path required string

Responses

200

OK

400
401
403
404
500
GET /integrations/autotask/{UUID}/companytypes
GET /integrations/autotask/{UUID}/contracts

Retrieves a list of Autotask contracts for the given Autotask integration id. You must be associated to the same provider as the Autotask integration to use this endpoint.

operationId: autotask_retrieveContracts

Parameters

Name In Required Type Description
UUID path required string
fields query optional array

The comma separated fields included in the returned records.
If omitted, the default list of fields will be returned.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

Responses

200
400
401
403
404
500
GET /integrations/autotask/{UUID}/contracts
GET /integrations/autotask/{UUID}/contracts/fields

Retrieves a list of Autotask contract fields for the given Autotask integration id. You must be associated to the same provider as the Autotask integration to use this endpoint.

operationId: autotask_retrieveContractsFields

Parameters

Name In Required Type Description
UUID path required string

Responses

200
400
401
403
404
500
GET /integrations/autotask/{UUID}/contracts/fields
GET /integrations/autotask/{UUID}/contracts/services

Retrieves a list of Autotask contract services for the given Autotask integration id. You must be associated to the same provider as the Autotask integration to use this endpoint.

operationId: autotask_retrieveServices

Parameters

Name In Required Type Description
UUID path required string
fields query optional array

The comma separated fields included in the returned records.
If omitted, the default list of fields will be returned.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

Responses

200
400
401
403
404
500
GET /integrations/autotask/{UUID}/contracts/services
GET /integrations/autotask/{UUID}/mappings

Retrieves the list of mappings for this Autotask integration. You must be associated to the same provider as the Autotask integration to use this api.

operationId: autotask_retrieveMappings

Parameters

Name In Required Type Description
UUID path required string
fields query optional array

The comma separated fields included in the returned records.
If omitted, the default list of fields will be returned.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

Responses

200

OK

400
401
403
404
500
GET /integrations/autotask/{UUID}/mappings
PATCH /integrations/autotask/{UUID}/mappings

Create, edit, and/or delete mappings between Jumpcloud organizations and Autotask companies/contracts/services. You must be associated to the same provider as the Autotask integration to use this api.

operationId: autotask_patchMappings

Parameters

Name In Required Type Description
UUID path required string

Request Body

application/json
schema AutotaskMappingRequest
Property Type Required
data array optional
delete boolean optional
company object required
id string required
name string required
service object optional
id string optional
name string optional
nonBillableUsers integer optional
contract object optional
id string optional
name string optional
organization object required
id string required
name string required

Responses

204

No Content

400
401
403
404
500
PATCH /integrations/autotask/{UUID}/mappings
GET /integrations/autotask/{UUID}/settings

Retrieve the Autotask integration settings. You must be associated to the same provider as the Autotask integration to use this endpoint.

operationId: autotask_retrieveSettings

Parameters

Name In Required Type Description
UUID path required string

Responses

200

OK

400
401
403
404
500
GET /integrations/autotask/{UUID}/settings
PATCH /integrations/autotask/{UUID}/settings

Create, edit, and/or delete Autotask settings. You must be associated to the same provider as the Autotask integration to use this endpoint.

operationId: autotask_patchSettings

Parameters

Name In Required Type Description
UUID path required string

Request Body

application/json
schema AutotaskSettingsPatchReq
Property Type Required
companyTypeIds array optional
automaticTicketing boolean optional

Responses

200

OK

400
401
403
404
500
PATCH /integrations/autotask/{UUID}/settings
DELETE /integrations/connectwise/{UUID}

Removes a ConnectWise integration.

operationId: connectwise_deleteConfiguration

Parameters

Name In Required Type Description
UUID path required string

Responses

204

No Content

400
401
403
404
500
DELETE /integrations/connectwise/{UUID}
Load more endpoints